Subject: Re: bug#22975: 25.0.92; CANNOT_DUMP build can't start in tty mode

From: martin rudalics <[email-masked]>
Date: Mon, 14 Mar 2016 08:42:39 +0100

> But the return value might need to be something specific to steer the
 > rest of execution where we want it.  For example, grow_mini_window
 > does this:
 >
 >    if (delta > 0)
 >      {
 >        root = FRAME_ROOT_WINDOW (f);
 >        r = XWINDOW (root);
 >        height = call3 (Qwindow_resize_root_window_vertically,
 > 		      root, make_number (- delta), pixelwise ? Qt : Qnil);
 >        if (INTEGERP (height) && window_resize_check (r, false))
 > 	{
 > 	  block_input ();
 > 	  window_resize_apply (r, false);
 >
 > which means we need the placeholder return nil to do what we want.  If
 > it returns something else, who knows what will happen next?

If it doesn't return an integer, this check

    if (INTEGERP (height) && window_resize_check (r, false))

will fail and nothing will happen.

 > IOW, we need to study the actual calls to know what to do in the
 > placeholders.  The same examination could tell us how to avoid the
 > calls to those functions altogether.  E.g., binding
 > resize-mini-windows to nil around the code that runs loadup.el would
 > prevent the call to grow_mini_window in the first place.  Maybe that's
 > better, I didn't yet make up my mind.

This would be probably better.  Mine was just a proposal to work around
the current situation without any definitive fix.

martin